Show / Hide Table of Contents

# Struct Overwrite

Represent a permission object.

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: Discord

###### Assembly: Discord.Net.Core.dll

##### Syntax

    public struct Overwrite

### Constructors

| Improve this Doc View Source

#### Overwrite(UInt64, PermissionTarget, OverwritePermissions)

Initializes a new Overwrite with provided target information and modified permissions.

##### Declaration

    public Overwrite(ulong targetId, PermissionTarget targetType, OverwritePermissions permissions)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt64 | targetId |
PermissionTarget | targetType |
OverwritePermissions | permissions |

### Properties

| Improve this Doc View Source

#### Permissions

Gets the permissions associated with this overwrite entry.

##### Declaration

    public OverwritePermissions Permissions { get; }

##### Property Value

Type | Description
--- | ---
OverwritePermissions |

| Improve this Doc View Source

#### TargetId

Gets the unique identifier for the object this overwrite is targeting.

##### Declaration

    public ulong TargetId { get; }

##### Property Value

Type | Description
--- | ---
System.UInt64 |

| Improve this Doc View Source

#### TargetType

Gets the type of object this overwrite is targeting.

##### Declaration

    public PermissionTarget TargetType { get; }

##### Property Value

Type | Description
--- | ---
PermissionTarget |